#version 120

attribute vec3 position;

uniform float rotate;

void main()
{
  float ct = cos(rotate);
  float st = sin(rotate);

  float x = position.x * ct - position.y * st;
  float y = position.x * st + position.y * ct;

  gl_Position = vec4(x, y, position.z, 1);
}
